Error when Installing BioConductor Package ('affy')
0
0
Entering edit mode
laujihen • 0
@ce312911
Last seen 9 weeks ago
Malaysia

Hi, when I try to install Bioconductor package 'affy' Experience below error\ May I know how do I fix this? I'm currently using R4.2.2 on MacBook Air, M1\ R version 4.2.2 (2022-10-31) -- "Innocent and Trusting"\ Copyright (C) 2022 The R Foundation for Statistical Computing\ Platform: aarch64-apple-darwin20 (64-bit)

BiocManager::install("affy")

'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for details\

replacement repositories:\ CRAN: https://cran.rstudio. com/

Bioconductor version 3.16 (BiocManager 1.30.19), R 4.2.2 (2022-10-31)\ Warning message:\ package(s) not installed when version(s) same as or greater than current; \use force = TRUE tore-install: 'affy'

So then i try to use 'force=TRUE', the installation was done\ BiocManager::install("affy",force = TRUE)

'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for details

replacement repositories: CRAN: https://cran.rstudio.com/

Bioconductor version 3.16 (BiocManager 1.30.19), R 4.2.2 (2022-10-31)\ Installing package(s) 'affy'\ trying URL 'http. s://bio. conductor.org/packages/3.16/bioc/bin/macosx/big-sur-arm64/contrib/4.2/affy_1.76.0.tgz' \ Content type 'application/x-gzip' length 2072159 bytes (2.0 MB)\ downloaded 2.0 MB

The downloaded binary packages are in\ /var/folders/g3/fc92jylx5m53g0sxy2g0pq100000gn/T//RtmpODbIF8/downloaded_packages

But the library(affy) still could not be call\ library(affy)

Error: package or namespace load failed for ‘affy’ in dyn.load(file, DLLpath = DLLpath, ...):\ unable to load shared object \ '/Library/Frameworks/R.framework/Versions/4.2arm64/Resources/library/preprocessCore/libs/preprocessCore.so': dlopen(/Library/Frameworks/R.framework/Versions/4.2-arm64/Resources/library/preprocessCore/libs/preprocessCore.so, 0x0006): Library not loaded: '/opt/R/arm64/gfortran/lib/libgfortran.5.dylib'\ Referenced from: '/Library/Frameworks/R.framework/Versions/4.2-arm64/Resources/library/preprocessCore/libs/preprocessCore.so'\ Reason: tried: '/opt/R/arm64/gfortran/lib/libgfortran.5.dylib' (no such file), '/usr/local/lib/libgfortran.5.dylib' (no such file), '/usr/lib/libgfortran.5.dylib' (no such file)

Bioconductor Install affy • 438 views
ADD COMMENT
0
Entering edit mode

Did you restart R after performing the installation?

0
Entering edit mode

If that does not solve your problem you will likely have to delete homebrew components on your mac.

see the documentation at homebrew's github repo

0
Entering edit mode

This looks like a linking issue with libgfortran.5.dylib. I'll see if we need to fix the binary to get it working.

ADD REPLY
0
Entering edit mode

There's a new binary available for preprocessCore. Try installing affy now.

ADD REPLY

Login before adding your answer.

Traffic: 632 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6